<?
define('PROTECTOR', 1);

$headmod = 'adm_panel';//фикс. места

$textl='Админ-панель';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if($udata[prava]<4){
echo'Доступ закрыт!';
include($path.'files/down.php');
exit;
}

switch($_GET[mod]){

default:
echo'<div class="m_bg">Управление вещами</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=1\">Создать новую вещь</a><br/>";
echo"<a href=\"adm_panel.php?mod=2\">Работа с готовыми вещами</a></div>";
echo'<div class="m_bg">Управление локациями и монстрами</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=4\">Создать новую локацию</a><br/>";
echo"<a href=\"adm_panel.php?mod=5\">Создать нового монстра</a><br/>";
echo"<a href=\"adm_panel.php?mod=6\">Управление монстрами</a><br/>";
echo"<a href=\"adm_panel.php?mod=8\">Управление локациями</a></div>";
echo'<div class="m_bg">Управление питомцами</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=42\">Питомцы</a><br/>";
 echo"<a href=\"adm_panel.php?mod=44\">Добавить питомца</a></div>";
echo'<div class="m_bg">Управление аурами</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=18\">Создать новую ауру</a><br/>";
echo"<a href=\"adm_panel.php?mod=19\">Управление аурами</a></div>";
echo'<div class="m_bg">Управление пользователями</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=10\">Наложить бан</a><br/>";
echo"<a href=\"adm_panel.php?mod=11\">Список забаненых</a><br/>";
echo"<a href=\"adm_panel.php?mod=26\">Управление пользователями</a></div>";
echo'<div class="m_bg">Управление FAQ</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=15\">Добавить статью</a><br/>";
echo"<a href=\"adm_panel.php?mod=16\">Управление библиотекой</a></div>";
echo'<div class="m_bg">Управление форумом</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=33\">Категории</a><br/>";
echo"<a href=\"adm_panel.php?mod=37\">Очистка форума</a></div>";
echo'<div class="m_bg">Общее</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=30\">Настройки сайта</a><br/>";
echo"<a href=\"adm_panel.php?mod=50\">Добавить новость</a><br/>";
echo"<a href=\"adm_panel.php?mod=22\">Управление новостями</a><br/>";
echo"<a href=\"adm_panel.php?mod=32\">Организовать рассылку по привату всем</a></div>";
echo'<div class="m_bg">Оптимизация работы</div><div class="m_bg">';
echo"<a href=\"adm_panel.php?mod=38\">Удалить логи игроков</a><br/>";
echo"<a href=\"adm_panel.php?mod=39\">Удалить все прочтенные отчеты</a><br/>";
echo"<a href=\"adm_panel.php?mod=40\">Очистить чат</a><br/>";
echo"<a href=\"adm_panel.php?mod=41\">Удалить все прочтенные сообщения</a></div>";
echo'<div class="m_bg">Статистика</div><div class="m_bg">';
$reg = mysql_num_rows(mysql_query("SELECT `id` FROM users"));
$otchet = mysql_num_rows(mysql_query("SELECT `id` FROM otchet"));
$chat = mysql_num_rows(mysql_query("SELECT `id` FROM komentarai"));
$msg_r = mysql_num_rows(mysql_query("SELECT `id` FROM msg_r"));
$forum = mysql_num_rows(mysql_query("SELECT `id` FROM forum_msg"));
echo"Пользователей: $reg<br/>";
echo"Отчетов: $otchet<br/>";
echo"Сообщений в чате: $chat<br/>";
echo"Приватных сообщений: $msg_r<br/>";
echo"Сообщений в форуме: $forum";
break;


case '50':
if(empty($_POST[text])){
echo '<form action="adm_panel.php?mod=50" method="post">';
echo'Заголовок:<br><input type="text" name="title"><br/>';
echo'Текст новости:<br/>
<textarea name="text" cols="30" rows="10"></textarea><br/>';

echo '<input class="button" type="submit" value="Добавить" /></form>';
}else{
mysql_query("INSERT INTO `news` SET
        `text` = '$_POST[text]', `title`='$_POST[title]',
        `nick` = '$log',`time`='".date("H:i d.m.y")."'");
        mysql_query("UPDATE users SET info_news = '1'");
echo'Новость '.$_POST[text].' написана!<br/>';

echo "<a href=\"adm_panel.php?\"> Вернуться</a><br>";
}



break;


case '1':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=1" method="post">';

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
<option value=\"izmud\">Измуд</option>
<option value=\"gundabad\">Кронос</option>
</select><br/>";

echo "Тип:<br/>
<select name=\"tip\">
<option value=\"weapon\">Оружие</option>
<option value=\"golova\">Шлем</option>
<option value=\"body\">Доспехи</option>
<option value=\"ruki\">Рукавицы</option>
<option value=\"nogi\">Сапоги</option>
<option value=\"plash\">Плащ</option>
<option value=\"poyas\">Пояс</option>
<option value=\"shit\">Щит</option>
<option value=\"amulet\">Амулет</option>
<option value=\"kolco\">Кольцо</option>
</select><br/>";

echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Цена<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Защита головы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pgolova\"/><br/>";

echo"Защита тела<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pbody\"/><br/>";

echo"Защита ног<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pnogi\"/><br/>";

echo"Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>";
echo"Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>";
echo"Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Бонус антикрит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"antikrit\"/><br/>";
echo"Бонус силы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sila\"/><br/>";
echo"Бонус ловкости<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>";
echo"Бонус интелекта<br/>
<input class='input' type=\"text\" size=\"10\" name=\"um\"/><br/>";
echo"Бонус физ. защиты<br/>
<input class='input' type=\"text\" size=\"10\" name=\"prot\"/><br/>";

echo "Класс:<br/>
<select name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo"Требуется силы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nsila\"/><br/>";

echo"Требуется ловкости<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlovk\"/><br/>";

echo"Требуется интелекта<br/>
<input class='input' type=\"text\" size=\"10\" name=\"num\"/><br/>";

echo"Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{

if(empty($_POST[cena])){$_POST[cena]=100000;}
if(empty($_POST[umin])){$_POST[umin]=0;}
if(empty($_POST[umax])){$_POST[umax]=0;}
if(empty($_POST[protect])){$_POST[protect]=0;}
if(empty($_POST[hp])){$_POST[hp]=0;}
if(empty($_POST[mp])){$_POST[mp]=0;}
if(empty($_POST[krit])){$_POST[krit]=0;}
if(empty($_POST[antikrit])){$_POST[antikrit]=0;}
if(empty($_POST[ukrit])){$_POST[ukrit]=0;}
if(empty($_POST[sila])){$_POST[sila]=0;}
if(empty($_POST[lovk])){$_POST[lovk]=0;}
if(empty($_POST[um])){$_POST[um]=0;}
if(empty($_POST[prot])){$_POST[prot]=0;}

if(empty($_POST[nsila])){$_POST[nsila]=0;}
if(empty($_POST[nlovk])){$_POST[nlovk]=0;}
if(empty($_POST[num])){$_POST[num]=0;}
if(empty($_POST[nlvl])){$_POST[nlvl]=0;}

mysql_query("INSERT INTO
        `shop` SET
        `city` = '$_POST[city]',
        `tip` = '$_POST[tip]',
        `name` = '$_POST[name]',
        `cena` = '$_POST[cena]',
        `umin` = '$_POST[umin]',
        `umax` = '$_POST[umax]',
        `pgolova` = '$_POST[pgolova]',
        `pbody` = '$_POST[pbody]',
        `pnogi` = '$_POST[pnogi]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `antikrit` = '$_POST[antikrit]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `um` = '$_POST[um]',
        `prot` = '$_POST[prot]',
        `klas` = '$_POST[klas]',
        `nsila` = '$_POST[nsila]',
        `nlovk` = '$_POST[nlovk]',
        `num` = '$_POST[num]',
        `nlvl` = '$_POST[nlvl]'");

echo'Вещь '.$_POST[name].' создана!<br/>';

}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '2':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 5;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*5)+1;}
$viso = mysql_num_rows(mysql_query("SELECT `name` FROM `shop`"));


$req = mysql_query("SELECT * FROM `shop` LIMIT $num,5");
////////////////////////////
$avto=mysql_num_rows($req);


if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]</b> [<a href=\"adm_panel.php?mod=3&id=$mag[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=14&id=$mag[id]\">изм</a>]<br/>";
}

if ($_GET[page] > 0)
{
echo "<a href=\"adm_panel.php?mod=2&page=$back\"> < Назад</a> ";
}
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo " <a href=\"adm_panel.php?mod=2&page=$next\">Далее ></a>";}

}else{
echo"<b>Нет вещей</b><br/>";
}
echo"</br><a href=\"adm_panel.php?\">Назад</a>";
break;
case '3':
if(empty($_GET[id])){
echo"Ошибка, не выбрана вещь!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `shop` WHERE `id`='$_GET[id]'");
echo'Вещь удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '4':
if(empty($_POST[name])){
echo'Не должно быть минусовых координат!<br/>';
echo '<form action="adm_panel.php?mod=4" method="post">';

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
<option value=\"izmud\">Измуд</option>
<option value=\"gundabad\">Кронос</option>
</select><br/>";


echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Координата по X<br/>
<input class='input' type=\"text\" size=\"10\" name=\"x\"/><br/>";

echo"Координата по Y<br/>
<input class='input' type=\"text\" size=\"10\" name=\"y\"/><br/>";

echo'Чтобы включить поставь галочку:<br/>';

echo'<input name="portal" type="checkbox" value="1" /> Портал<br /><br/>';

echo'<input name="bu" type="checkbox" value="1" /> Нельзя пойти вверх<br /><br/>';

echo'<input name="bd" type="checkbox" value="1" /> Нельзя пойти вниз<br /><br/>';

echo'<input name="bl" type="checkbox" value="1" /> Нельзя пойти влево<br /><br/>';

echo'<input name="br" type="checkbox" value="1" /> Нельзя пойти вправо<br /><br/>';

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
$req = mysql_query("SELECT * FROM `world` where `city`='$_POST[city]' and `x`='$_POST[x]' and `y`='$_POST[y]'");
$avto=mysql_num_rows($req);
if($avto>=1){echo"Такая локация есть!";include($path.'files/down.php');exit;}

if(empty($_POST['bu'])){$_POST['bu']='0';}else{$_POST['bu']='1';}
if(empty($_POST['bd'])){$_POST['bd']='0';}else{$_POST['bd']='1';}
if(empty($_POST['br'])){$_POST['br']='0';}else{$_POST['br']='1';}
if(empty($_POST['bl'])){$_POST['bl']='0';}else{$_POST['bl']='1';}
if(empty($_POST['portal'])){$_POST['portal']='0';}else{$_POST['portal']='1';}

mysql_query("INSERT INTO
        `world` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `x` = '$_POST[x]',
        `y` = '$_POST[y]',
        `bu` = '$_POST[bu]',
        `bd` = '$_POST[bd]',
        `br` = '$_POST[br]',
        `bl` = '$_POST[bl]',
        `portal` = '$_POST[portal]'");

echo'Локация '.$_POST[name].' создана!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '5':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=5" method="post">';

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
<option value=\"izmud\">Измуд</option>
<option value=\"gundabad\">Кронос</option>
</select><br/>";

echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lvl\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Макс. здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hpall\"/><br/>";

echo"Защита головы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pgolova\"/><br/>";
echo"Защита тела<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pbody\"/><br/>";
echo"Защита ног<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pnogi\"/><br/>";
echo"Защита от умений<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pmag\"/><br/>";
echo"Шанс крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>";
echo"Урон-крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Анти-крит(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"antikrit\"/><br/>";

echo"Ловкость<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>";

echo"Шанс выпадания дропа(проискохит рэнд(1,до вашего числа) если рез.=1 то дроп выпадает!чем меньше число тем больше шанс выпадания!на шакалах стоит 10)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sd\"/><br/>";
echo"Дроп<br/>
Писать номера дропа через запятую(пример 1,2,3,4)<br/>
Номер-дроп<br/>
1 - HP-5<br/>
2 - MP-5<br/>
3 - Свиток слабой заточки<br/>
4 - Свиток слабой защиты<br/>
5 - HP-10<br/>
6 - Свиток заточки<br/>
7 - MP-10<br/>
8 - Серебро<br/>
9 - Нефрит<br/>
10 - Обсидиан<br/>
<input class='input' type=\"text\" size=\"20\" name=\"drop\"/><br/>";

echo"Шанс выпадания монет(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sm\"/><br/>";

echo"Кол. монет:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"money\"/><br/>";

echo"Опыта:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"exp\"/><br/>";

echo"Время смерти(в секундах):<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo"Тип (life = просто моб, boss - босс):<br/>
<input class='input' type=\"text\" value=\"life\" size=\"10\" name=\"tip\"/><br/>";

echo"Координата по X:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"x\"/><br/>";

echo"Координата по Y:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"y\"/><br/>";

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{

mysql_query("INSERT INTO
        `mob` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hpall]',
        `umin` = '$_POST[umin]',
        `umax` = '$_POST[umax]',
        `pgolova` = '$_POST[pgolova]',
        `pbody` = '$_POST[pbody]',
        `pnogi` = '$_POST[pnogi]',
        `pmag` = '$_POST[pmag]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `antikrit` = '$_POST[antikrit]',
        `lovk` = '$_POST[lovk]',
        `sd` = '$_POST[sd]',
        `drop` = '$_POST[drop]',
        `sm` = '$_POST[sm]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `tip` = '$_POST[tip]',
        `status` = 'on',
        `oponent` = 'not',
        `time` = '$_POST[time]',
        `x` = '$_POST[x]',
        `y` = '$_POST[y]'");

echo'Монстр '.$_POST[name].' создан!Чтобы создать точно такого же рядом ОБНОВИТЕ СТРАНИЦУ!<br/>';

}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '6':
$req = mysql_query("SELECT * FROM `mob`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]($mag[x];$mag[y])</b> [<a href=\"adm_panel.php?mod=7&id=$mag[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=13&id=$mag[id]\">изм</a>]<br/>";
}
}else{
echo"<b>Нет монстров</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '7':
if(empty($_GET[id])){
echo"Ошибка, не выбран монстр!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `mob` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `mob` WHERE `id`='$_GET[id]'");
echo'Монстр удалён!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '8':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT `id` FROM `world`"));
$puslap = floor($viso/10);
$req = mysql_query("SELECT * FROM `world` LIMIT $num,10");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name](X:$mag[x];Y:$mag[y])</b> [<a href=\"adm_panel.php?mod=9&id=$mag[id]\">уд</a>, <a href=\"adm_panel.php?mod=46&id=$mag[id]\">изм</a>]<br/>";
}
}else{
echo"<b>Нет локаций</b><br/>";
}
if ($_GET[page] > 0)
{
echo "<a href=\"adm_panel.php?mod=8&page=$back\"> < Назад</a> ";
}

if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo " <a href=\"adm_panel.php?mod=8&page=$next\">Далее ></a>";}
echo"<br/><a href=\"adm_panel.php?\">Назад</a>";
break;
case '9':
if(empty($_GET[id])){
echo"Ошибка невыбрана локация!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `world` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `world` WHERE `id`='$_GET[id]'");
echo'Локация удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '10':
if(empty($_POST[nick])){
echo '<form action="adm_panel.php?mod=10" method="post">';
echo"Логин:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>";

echo"Причина бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo "Тип времени:<br/>
<select name=\"times\">
<option value=\"sec\">Секунд</option>
<option value=\"min\">Минут</option>
<option value=\"cha\">Часов</option>
</select><br/>";

echo '<input class="button" type="submit" value="Забанить" /></form>';
}else{
$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
$usr = mysql_fetch_array($req);
if($avto==0 or $udata[prava] <= $usr[prava]){echo"Нет такого игрока либо недостаточно прав на выполнение операции!";include($path.'files/down.php');exit;}

$req = mysql_query("SELECT * FROM `ban` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
if($avto==1){echo"Игрок уже в бане!";include($path.'files/down.php');exit;}

if($_POST[times]==sec){$_POST[time]=$_POST[time];}
if($_POST[times]==min){$_POST[time]=$_POST[time]*60;}
if($_POST[times]==cha){$_POST[time]=$_POST[time]*3600;}

$time_ban=time()+$_POST[time];

mysql_query("INSERT INTO
        `ban` SET
        `usr` = '$_POST[nick]',
        `text` = '$_POST[text]',
        `ban_time` = '$time_ban'");

echo'Игрок '.$_POST[nick].' забанен!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

/////////////////////////////////////////////////////////////////////////////////


case '11':
$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[usr]</b> [<a href=\"adm_panel.php?mod=12&id=$mag[id]\">снять бан</a>]<br/>";
}
}else{
echo"<b>Нет забаненых!</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '12':
if(empty($_GET[id])){
echo"Ошибка,не выбран игрок!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `ban` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `ban` WHERE `id`='$_GET[id]'");
echo'Бан снят!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '13':
if(empty($_GET[id])){
echo"Ошибка невыбран монстр!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `mob` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такого монстра не существует.";include($path.'files/down.php');exit;}
$mob = mysql_fetch_array($req);


if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=13&id='.$_GET[id].'" method="post">';

echo"Имя<br/>
<input class='input' type=\"text\" value=\"$mob[name]\" size=\"10\" name=\"name\"/><br/>";

echo"Уровень<br/>
<input class='input' type=\"text\" value=\"$mob[lvl]\" size=\"10\" name=\"lvl\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" value=\"$mob[umin]\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" value=\"$mob[umax]\" size=\"10\" name=\"umax\"/><br/>";

echo"Здоровья<br/>
<input class='input' type=\"text\" value=\"$mob[hp]\" size=\"10\" name=\"hp\"/><br/>";
echo"Макс. здоровья<br/>
<input class='input' type=\"text\" value=\"$mob[hpall]\" size=\"10\" name=\"hpall\"/><br/>";

echo"Защита головы<br/>
<input class='input' type=\"text\" value=\"$mob[pgolova]\" size=\"10\" name=\"pgolova\"/><br/>";
echo"Защита тела<br/>
<input class='input' type=\"text\" value=\"$mob[pbody]\" size=\"10\" name=\"pbody\"/><br/>";
echo"Защита ног<br/>
<input class='input' type=\"text\" value=\"$mob[pnogi]\" size=\"10\" name=\"pnogi\"/><br/>";
echo"Защита от умений<br/>
<input class='input' type=\"text\" value=\"$mob[pmag]\" size=\"10\" name=\"pmag\"/><br/>";
echo"Шанс крита(%)<br/>
<input class='input' type=\"text\" value=\"$mob[krit]\" size=\"10\" name=\"krit\"/><br/>";
echo"Урон-крита(%)<br/>
<input class='input' type=\"text\" value=\"$mob[ukrit]\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Анти-крит(%)<br/>
<input class='input' type=\"text\" value=\"$mob[antikrit]\" size=\"10\" name=\"antikrit\"/><br/>";

echo"Ловкость<br/>
<input class='input' type=\"text\" value=\"$mob[lovk]\" size=\"10\" name=\"lovk\"/><br/>";

echo"Шанс выпадания дропа(проискохит рэнд(1,до вашего числа) если рез.=1 то дроп выпадает!чем меньше число тем больше шанс выпадания!на шакалах стоит 10)<br/>
<input class='input' type=\"text\" value=\"$mob[sd]\" size=\"10\" name=\"sd\"/><br/>";
echo"Дроп<br/>
Писать номера дропа через запятую(пример 1,2,3,4)<br/>
Номер-дроп<br/>
1 - HP-5<br/>
2 - MP-5<br/>
3 - Свиток слабой заточки<br/>
4 - Свиток слабой защиты<br/>
5 - HP-10<br/>
6 - Свиток заточки<br/>
7 - MP-10<br/>
8 - Серебро<br/>
9 - Нефрит<br/>
10 - Обсидиан<br/>
<input class='input' type=\"text\" value=\"$mob[drop]\" size=\"20\" name=\"drop\"/><br/>";

echo"Шанс выпадания монет(%)<br/>
<input class='input' type=\"text\" value=\"$mob[sm]\" size=\"10\" name=\"sm\"/><br/>";

echo"Кол. монет:<br/>
<input class='input' type=\"text\" value=\"$mob[money]\" size=\"10\" name=\"money\"/><br/>";

echo"Опыта:<br/>
<input class='input' type=\"text\" value=\"$mob[exp]\" size=\"10\" name=\"exp\"/><br/>";

echo"Время смерти(в секундах):<br/>
<input class='input' type=\"text\" value=\"$mob[time]\" size=\"10\" name=\"time\"/><br/>";

echo"Координата по X:<br/>
<input class='input' type=\"text\" value=\"$mob[x]\" size=\"10\" name=\"x\"/><br/>";

echo"Координата по Y:<br/>
<input class='input' type=\"text\" value=\"$mob[y]\" size=\"10\" name=\"y\"/><br/>";

echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{



mysql_query("UPDATE `mob` SET
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hpall]',
        `umin` = '$_POST[umin]',
        `umax` = '$_POST[umax]',
        `pgolova` = '$_POST[pgolova]',
        `pbody` = '$_POST[pbody]',
        `pnogi` = '$_POST[pnogi]',
        `pmag` = '$_POST[pmag]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `antikrit` = '$_POST[antikrit]',
        `lovk` = '$_POST[lovk]',
        `sd` = '$_POST[sd]',
        `drop` = '$_POST[drop]',
        `sm` = '$_POST[sm]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `time` = '$_POST[time]',
        `x` = '$_POST[x]',
        `y` = '$_POST[y]' WHERE `id`='$_GET[id]' LIMIT 1");

echo'Монстр '.$_POST[name].' изменён!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '14':
if(empty($_GET[id])){
echo"Ошибка, не выбрана вещь!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такой вещи не существует.";include($path.'files/down.php');exit;}
$item = mysql_fetch_array($req);

if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=14&id='.$_GET[id].'" method="post">';

echo"Имя<br/>
<input class='input' type=\"text\" value=\"$item[name]\" size=\"10\" name=\"name\"/><br/>";

echo"Цена<br/>
<input class='input' type=\"text\" value=\"$item[cena]\" size=\"10\" name=\"cena\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" value=\"$item[umin]\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" value=\"$item[umax]\" size=\"10\" name=\"umax\"/><br/>";

echo"Защита головы<br/>
<input class='input' type=\"text\" value=\"$item[pgolova]\" size=\"10\" name=\"pgolova\"/><br/>";
echo"Защита тела<br/>
<input class='input' type=\"text\" value=\"$item[pbody]\" size=\"10\" name=\"pbody\"/><br/>";
echo"Защита ног<br/>
<input class='input' type=\"text\" value=\"$item[pnogi]\" size=\"10\" name=\"pnogi\"/><br/>";
echo"Бонус здоровья<br/>
<input class='input' type=\"text\" value=\"$item[hp]\" size=\"10\" name=\"hp\"/><br/>";
echo"Бонус маны<br/>
<input class='input' type=\"text\" value=\"$item[mp]\" size=\"10\" name=\"mp\"/><br/>";
echo"Бонус крит<br/>
<input class='input' type=\"text\" value=\"$item[krit]\" size=\"10\" name=\"krit\"/><br/>";
echo"Бонус урон-крит<br/>
<input class='input' type=\"text\" value=\"$item[ukrit]\" size=\"10\" name=\"ukrit\"/><br/>";
echo"Бонус антикрит<br/>
<input class='input' type=\"text\" value=\"$item[antikrit]\" size=\"10\" name=\"antikrit\"/><br/>";
echo"Бонус силы<br/>
<input class='input' type=\"text\" value=\"$item[sila]\" size=\"10\" name=\"sila\"/><br/>";
echo"Бонус ловкости<br/>
<input class='input' type=\"text\" value=\"$item[lovk]\" size=\"10\" name=\"lovk\"/><br/>";
echo"Бонус интелекта<br/>
<input class='input' type=\"text\" value=\"$item[um]\" size=\"10\" name=\"um\"/><br/>";
echo"Бонус физ. защиты<br/>
<input class='input' type=\"text\" value=\"$item[prot]\" size=\"10\" name=\"prot\"/><br/>";

echo "Класс:<br/>
<select value=\"$item[klas]\" name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo"Требуется силы<br/>
<input class='input' type=\"text\" value=\"$item[nsila]\" size=\"10\" name=\"nsila\"/><br/>";

echo"Требуется ловкости<br/>
<input class='input' type=\"text\" value=\"$item[nlovk]\" size=\"10\" name=\"nlovk\"/><br/>";

echo"Требуется интелекта<br/>
<input class='input' type=\"text\" value=\"$item[num]\" size=\"10\" name=\"num\"/><br/>";

echo"Требуемый уровень<br/>
<input class='input' type=\"text\" value=\"$item[nlvl]\" size=\"10\" name=\"nlvl\"/><br/>";

echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{

mysql_query("UPDATE `shop` SET
`name` = '$_POST[name]',
`cena` = '$_POST[cena]',
`umin` = '$_POST[umin]',
`umax` = '$_POST[umax]',
`pgolova` = '$_POST[pgolova]',
`pbody` = '$_POST[pbody]',
`pnogi` = '$_POST[pnogi]',
`hp` = '$_POST[hp]',
`mp` = '$_POST[mp]',
`krit` = '$_POST[krit]',
`ukrit` = '$_POST[ukrit]',
`antikrit` = '$_POST[antikrit]',
`sila` = '$_POST[sila]',
`lovk` = '$_POST[lovk]',
`um` = '$_POST[um]',
`prot` = '$_POST[prot]',
`klas` = '$_POST[klas]',
`nsila` = '$_POST[nsila]',
`nlovk` = '$_POST[nlovk]',
`num` = '$_POST[num]',
`nlvl` = '$_POST[nlvl]' WHERE id='$_GET[id]' LIMIT 1");

echo'Вещь '.$_POST[name].' изменена!<br/>';

}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '15':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=15" method="post">';

echo"Название:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>";

echo'Текст:<br/>
<textarea name="text" cols="30" rows="10"></textarea><br/>';

echo '<input class="button" type="submit" value="Добавить" /></form>';
}else{
mysql_query("INSERT INTO `library` SET
`title` = '$_POST[name]',
`text` = '$_POST[text]',
`author` = '$log',`time`='".date("d.m.y")."'");

echo'Статья '.$_POST[name].' написана!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
}
break;






case '16':
$req = mysql_query("SELECT * FROM `library`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[title]</b> [<a href=\"adm_panel.php?mod=17&id=$mag[id]\">удалить</a>,<a href=\"adm_panel.php?mod=25&id=$mag[id]\">изменить</a> ]<br/>";
}
}else{
echo"<b>Нет статей</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '17':
if(empty($_GET[id])){
echo"Ошибка, не выбрана статья!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `library` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `library` WHERE `id`='$_GET[id]'");
echo'Статья удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;


case '18':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=18" method="post">';

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
<option value=\"izmud\">Измуд</option>
<option value=\"gundabad\">Кронос</option>
</select><br/>";

echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo'Латиницей (пишем латинецей, пробелы заменять "_"! Примеры: Аура шока - aura_shoka !Нельзя чтобы латинские именна повторялись!)<br/>';
echo"<input class='input' type=\"text\" size=\"10\" name=\"lat_name\"/><br/>";

echo"Цена<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Защита<br/>
<input class='input' type=\"text\" size=\"10\" name=\"protect\"/><br/>";

echo"Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>";
echo"Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>";
echo"Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";

echo "Класс:<br/>
<select name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo"Требуется силы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nsila\"/><br/>";

echo"Требуется ловкости<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlovk\"/><br/>";

echo"Требуется интелекта<br/>
<input class='input' type=\"text\" size=\"10\" name=\"num\"/><br/>";

echo"Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";

echo"Время действия(в секундах)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"actime\"/><br/>";

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{

mysql_query("INSERT INTO
        `shop_aura` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `lat_name` = '$_POST[lat_name]',
        `cena` = '$_POST[cena]',
        `umin` = '$_POST[umin]',
        `umax` = '$_POST[umax]',
        `protect` = '$_POST[protect]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `klas` = '$_POST[klas]',
        `nsila` = '$_POST[nsila]',
        `nlovk` = '$_POST[nlovk]',
        `num` = '$_POST[num]',
        `actime` = '$_POST[actime]',
        `nlvl` = '$_POST[nlvl]'");

echo'Аура '.$_POST[name].' создана!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";

break;
case '19':
$req = mysql_query("SELECT * FROM `shop_aura`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]</b> [<a href=\"adm_panel.php?mod=20&id=$mag[id]\">удалить</a>,<a href=\"adm_panel.php?mod=21&id=$mag[id]\">изменить</a> ]<br/>";
}
}else{
echo"<b>Нет аур</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '20':
if(empty($_GET[id])){
echo"Ошибка, не выбрана аура!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop_aura` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `shop_aura` WHERE `id`='$_GET[id]' LIMIT 1");
echo'Аура удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '21':
if(empty($_GET[id])){
echo"Ошибка, не выбрана аура!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop_aura` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такой ауры не существует.";include($path.'files/down.php');exit;}
$aura = mysql_fetch_array($req);


if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=21&id='.$_GET[id].'" method="post">';

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
<option value=\"izmud\">Измуд</option>
<option value=\"gundabad\">Кронос</option>
</select><br/>";

echo"Имя<br/>
<input class='input' value=\"$aura[name]\" type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo'Латиницей (пишем латинецей, пробелы заменять "_"! Примеры: Аура шока - aura_shoka !Нельзя чтобы латинские именна повторялись!)<br/>';
echo"<input class='input' value=\"$aura[lat_name]\" type=\"text\" size=\"10\" name=\"lat_name\"/><br/>";

echo"Цена<br/>
<input class='input' value=\"$aura[cena]\" type=\"text\" size=\"10\" name=\"cena\"/><br/>";

echo"Минимальный урон<br/>
<input class='input' value=\"$aura[umin]\" type=\"text\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' value=\"$aura[umax]\" type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Защита<br/>
<input class='input' value=\"$aura[protect]\" type=\"text\" size=\"10\" name=\"protect\"/><br/>";

echo"Бонус здоровья<br/>
<input class='input' value=\"$aura[hp]\" type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Бонус маны<br/>
<input class='input' value=\"$aura[mp]\" type=\"text\" size=\"10\" name=\"mp\"/><br/>";
echo"Бонус крит<br/>
<input class='input' value=\"$aura[krit]\" type=\"text\" size=\"10\" name=\"krit\"/><br/>";
echo"Бонус урон-крит<br/>
<input class='input' value=\"$aura[ukrit]\" type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";

echo "Класс:<br/>
<select name=\"klas\">
<option value=\"not\" CHECKED>Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo"Требуется силы<br/>
<input class='input' value=\"$aura[nsila]\" type=\"text\" size=\"10\" name=\"nsila\"/><br/>";

echo"Требуется ловкости<br/>
<input class='input' value=\"$aura[nlovk]\" type=\"text\" size=\"10\" name=\"nlovk\"/><br/>";

echo"Требуется интелекта<br/>
<input class='input' value=\"$aura[num]\" type=\"text\" size=\"10\" name=\"num\"/><br/>";

echo"Требуемый уровень<br/>
<input class='input' value=\"$aura[nlvl]\" type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";

echo"Время действия(в секундах)<br/>
<input class='input' value=\"$aura[actime]\" type=\"text\" size=\"10\" name=\"actime\"/><br/>";

echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{

mysql_query("UPDATE
        `shop_aura` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `lat_name` = '$_POST[lat_name]',
        `cena` = '$_POST[cena]',
        `umin` = '$_POST[umin]',
        `umax` = '$_POST[umax]',
        `protect` = '$_POST[protect]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `klas` = '$_POST[klas]',
        `nsila` = '$_POST[nsila]',
        `nlovk` = '$_POST[nlovk]',
        `num` = '$_POST[num]',
        `actime` = '$_POST[actime]',
        `nlvl` = '$_POST[nlvl]' WHERE `id` ='$_GET[id]'");



echo'Аура '.$_POST[name].' изменена!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '22':
$req = mysql_query("SELECT * FROM `news`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($news = mysql_fetch_array($req))
{
echo"<b>$news[title]</b> ($news[time]) [<a href=\"adm_panel.php?mod=23&id=$news[id]\">удалить</a>,<a href=\"adm_panel.php?mod=24&id=$news[id]\">изменить</a> ]<br/>";
}
}else{
echo"<b>Нет новостей!</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '23':
if(empty($_GET[id])){
echo"Ошибка, не выбрана новость!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `news` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `news` WHERE `id`='$_GET[id]' LIMIT 1");
echo'Новость удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '24':
if(empty($_GET[id])){
echo"Ошибка, не выбрана новость!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `news` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}
$news = mysql_fetch_array($req);
if(empty($_POST[title])){
echo '<form action="adm_panel.php?mod=24&id='.$_GET[id].'" method="post">';
echo'Заголовок:<br><input type="text" value="'.$news[title].'" name="title"><br/>';
echo'Текст новости:<br/>
<textarea name="text" cols="30" rows="10">'.$news[text].'</textarea><br/>';
echo'Добавил:<br><input type="text" value="'.$news[nick].'" name="nick"><br/>';
echo'Время добавления:<br><input type="text" value="'.$news[time].'" name="time"><br/>';
echo '<input class="button" type="submit" value="Редактировать" /></form>';
}
else
{
mysql_query("UPDATE `news` SET
        `text` = '$_POST[text]', `title`='$_POST[title]',
        `nick` = '$_POST[nick]',`time`='$_POST[time]' WHERE `id` ='$_GET[id]'");
        mysql_query("UPDATE users SET info_news = '1'");
echo'Новость '.$_POST[title].' изменена!<br/>';

echo "<a href=\"adm_panel.php?\">Назад</a><br>";
	}
break;

case '25':
if(empty($_GET[id])){
echo"Ошибка, не выбрана статья!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `library` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
$lib = mysql_fetch_array($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}
if(empty($_POST[text])){


echo '<form action="adm_panel.php?mod=25&id='.$_GET[id].'" method="post">';

echo"Название:<br/>
<input class='input' value=\"".$lib[title]."\" type=\"text\" size=\"20\" name=\"title\"/><br/>";

echo'Текст:<br/>
<textarea name="text" cols="30" rows="10">'.$lib[text].'</textarea><br/>';

echo"Автор:<br/>
<input class='input' value=\"".$lib[author]."\" type=\"text\" size=\"20\" name=\"author\"/><br/>";
echo"Время:<br/>
<input class='input' value=\"".$lib[time]."\" type=\"text\" size=\"20\" name=\"time\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
mysql_query("UPDATE `library` SET
`title` = '$_POST[title]',
`text` = '$_POST[text]',
`author` = '$_POST[author]',`time`='$_POST[time]' WHERE `id` ='$_GET[id]'");

echo'Статья '.$_POST[name].' изменена!<br/>';
}

echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '26':
$req = mysql_query("SELECT usr,lvl,id FROM `users`");
////////////////////////////
$avto=mysql_num_rows($req);
echo "<form action=\"adm_panel.php?mod=29\" method=\"post\">Введите ник:<br/>";
echo"<input class='input' type=\"text\" size=\"20\" name=\"nick\"/><br/>";
echo "<input type=\"submit\" value=\"Найти\" /></form>";
if($avto>=1){
While($user = mysql_fetch_array($req))
{
echo"<b><a href='search.php?nick=$user[usr]&go=go'>$user[usr]</a>($user[lvl] ур.)</b> [<a href=\"adm_panel.php?mod=27&id=$user[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=28&id=$user[id]\">изм</a>]<br/>";
}
}else{
echo"<b>Нет пользователей</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '27':
if(empty($_GET[id])){
echo"Ошибка, не выбран пользователь!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT `id` FROM `users` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `users` WHERE `id`='$_GET[id]' LIMIT 1");
echo'Пользователь удален!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '29':
if(empty($_POST[nick])){
echo"Ошибка, не выбран пользователь!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `users` where `usr`='$_POST[nick]'");
$avto=mysql_num_rows($req);
$user = mysql_fetch_array($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}
if(empty($_POST[usr])){


echo '<form action="adm_panel.php?mod=29&id='.$_GET[usr].'" method="post">';

echo"Имя:<br/>
<input class='input' value=\"".$user[usr]."\" type=\"text\" size=\"20\" name=\"usr\"/><br/>";
echo"E-mail:<br/>
<input class='input' value=\"".$user[email]."\" type=\"text\" size=\"20\" name=\"email\"/><br/>";
echo "Должность:<br/>
<select name=\"prava\">
<option value=\"0\" CHECKED>Пользователь</option>
<option value=\"2\">Модератор</option>
<option value=\"4\">Администратор</option>
</select><br/>";
echo"Уровень:<br/>
<input class='input' value=\"".$user[lvl]."\" type=\"text\" size=\"20\" name=\"lvl\"/><br/>";
echo"Монеты:<br/>
<input class='input' value=\"".$user[money]."\" type=\"text\" size=\"20\" name=\"money\"/><br/>";
echo"Алмазы:<br/>
<input class='input' value=\"".$user[almaz]."\" type=\"text\" size=\"20\" name=\"almaz\"/><br/>";
echo "VIP?<br/>
<select name=\"vip\">
<option value=\"0\" CHECKED>Нет</option>
<option value=\"1\">Да</option>
</select><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
mysql_query("UPDATE `users` SET `usr` = '$_POST[usr]', `email` = '$_POST[email]', `prava` = '$_POST[prava]', `lvl` = '$_POST[lvl]', `money` = '$_POST[money]', `almaz` = '$_POST[almaz]', `vip` = '$_POST[vip]' WHERE `usr` ='$_GET[nick]'");

echo'Пользователь '.$_POST[usr].' изменен!<br/>';
}

echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '28':
if(empty($_GET[id])){
echo"Ошибка, не выбран пользователь!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `users` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
$user = mysql_fetch_array($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}
if(empty($_POST[usr])){


echo '<form action="adm_panel.php?mod=28&id='.$_GET[id].'" method="post">';

echo"Имя:<br/>
<input class='input' value=\"".$user[usr]."\" type=\"text\" size=\"20\" name=\"usr\"/><br/>";
echo"E-mail:<br/>
<input class='input' value=\"".$user[email]."\" type=\"text\" size=\"20\" name=\"email\"/><br/>";
echo "Должность:<br/>
<select name=\"prava\">
<option value=\"0\" CHECKED>Пользователь</option>
<option value=\"2\">Модератор</option>
<option value=\"4\">Администратор</option>
</select><br/>";
echo"Уровень:<br/>
<input class='input' value=\"".$user[lvl]."\" type=\"text\" size=\"20\" name=\"lvl\"/><br/>";
echo"Монеты:<br/>
<input class='input' value=\"".$user[money]."\" type=\"text\" size=\"20\" name=\"money\"/><br/>";
echo"Алмазы:<br/>
<input class='input' value=\"".$user[almaz]."\" type=\"text\" size=\"20\" name=\"almaz\"/><br/>";
echo "VIP?<br/>
<select name=\"vip\">
<option value=\"0\" CHECKED>Нет</option>
<option value=\"1\">Да</option>
</select><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
mysql_query("UPDATE `users` SET `usr` = '$_POST[usr]', `email` = '$_POST[email]', `prava` = '$_POST[prava]', `lvl` = '$_POST[lvl]', `money` = '$_POST[money]', `almaz` = '$_POST[almaz]', `vip` = '$_POST[vip]' WHERE `id` ='$_GET[id]'");

echo'Пользователь '.$_POST[usr].' изменен!<br/>';
}

echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '32':

if(empty($_POST['text'])){
echo "<form method=\"post\" action=\"adm_panel.php?mod=32\">";
echo "Введите текст рассылки:<br/>";
echo "<textarea name=\"text\" rows=5 cols=15 wrap=\"off\"></textarea><br/><br/>";
echo "<input type=\"submit\" value=\"Отправить\" class=\"ibutton\"></form>";
}else{
$text=htmlspecialchars($_POST[text]);

$req = mysql_query("SELECT `usr` FROM `users`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){

$time = date("H:i d.m.y");

While($user = mysql_fetch_array($req))
{
mysql_query("INSERT INTO `msg_r` SET `user_from` = '$log', `user_to` = '$user[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
}
echo'Рассылка успешно отправлена!<br/>';
echo"<a href=\"adm_panel.php?\">Продолжить</a>";
}else{
echo'Нет игроков!<br/>';
}
}

break;


case '30':
echo 'Основные настройки сайта:<br/>';
echo '<form action="adm_panel.php?mod=31" method="post">';
echo"Название игры:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\" value=\"$set[name]\"/><br/>";
echo"Описание игры:<br/>
<textarea name=\"opis\" rows=3>$set[opis]</textarea><br/>";
echo"Человек для Тиккетов:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"admin\" value=\"$set[admin]\"/><br/>";
echo "Показ кол-во зарегистрированных на главной:<br/>
<select name=\"users\">
<option value=\"yes\">Да</option>
<option value=\"no\">Нет</option>
</select><br/>";
echo"Сколько добавить к зарегистрированным?<br/>
<input class='input' type=\"text\" size=\"20\" name=\"users_plus\" value=\"$set[users_plus]\"/><br/>";
echo "Показ времени на главной:<br/>
<select name=\"show_time\">
<option value=\"yes\">Да</option>
<option value=\"no\">Нет</option>
</select><br/>";
echo "Показ онлайна на главной:<br/>
<select name=\"show_online\">
<option value=\"yes\">Да</option>
<option value=\"no\">Нет</option>
</select><br/>";
echo"Копирайт:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"copyright\" value=\"$set[copyright]\"/><br/>";
echo '<input class="button" type="submit" value="Сохранить" /></form>';
break;
case '31':

mysql_query("UPDATE `set` SET `name` = '$_POST[name]', `admin` = '$_POST[admin]', `opis` = '$_POST[opis]', `users` = '$_POST[users]', `users_plus` = '$_POST[users_plus]', `show_time` = '$_POST[show_time]', `show_online` = '$_POST[show_online]', `copyright` = '$_POST[copyright]' ");
echo'Изменения сохранены<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '33':
$req = mysql_query("SELECT * FROM `forum_cats`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($cats = mysql_fetch_array($req))
{
echo"<b>$cats[name]</a></b> [<a href=\"adm_panel.php?mod=34&id=$cats[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=35&id=$cats[id]\">изм</a>]<br/>";
}
}else{
echo"<b>Нет категорий</b><br/>";
}
echo'<a href="adm_panel.php?mod=36">+Добавить</a><br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;
case '36':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=36" method="post">';

echo"Название:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>";


echo '<input class="button" type="submit" value="Добавить" /></form>';
}else{
mysql_query("INSERT INTO `forum_cats` SET
`name` = '$_POST[name]'");

echo'Категория '.$_POST[name].' создана!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
}
break;

case '34':
if(empty($_GET[id])){
echo"Ошибка, не выбрана категория!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `forum_cats` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `forum_cats` WHERE `id`='$_GET[id]' LIMIT 1");
mysql_query("DELETE FROM `forum_topics` WHERE `id_cat`='$_GET[id]' LIMIT 1");
mysql_query("DELETE FROM `forum_msg` WHERE `id_cat`='$_GET[id]' LIMIT 1");
echo'Категория удалена!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '35':
if(empty($_GET[id])){
echo"Ошибка, не выбрана категория!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `forum_cats` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
$cats = mysql_fetch_array($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}
if(empty($_POST[name])){


echo '<form action="adm_panel.php?mod=35&id='.$_GET[id].'" method="post">';

echo"Название:<br/>
<input class='input' value=\"".$cats[name]."\" type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
mysql_query("UPDATE `forum_cats` SET `name` = '$_POST[name]' WHERE `id` ='$_GET[id]'");

echo'Категория '.$_POST[name].' изменена!<br/>';
}

echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '37':
mysql_query("TRUNCATE `forum_cats`");
mysql_query("TRUNCATE `forum_topics`");
mysql_query("TRUNCATE `forum_msg`");
echo'Форум очищен!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;


case '38':
mysql_query("TRUNCATE `log`");
echo'Логи очищены!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '39':
mysql_query("DELETE FROM `otchet` WHERE `read` = '0'");
echo'Все прочитанные отчеты очищены!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '40':
mysql_query("TRUNCATE `komentarai`");
echo'Все сообщения в чате очищены!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;


case '41':
mysql_query("DELETE FROM `msg_r` WHERE `read` = '0'");
echo'Все прочитанные сообщения очищены!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '42':
$req = mysql_query("SELECT name,id FROM `pitomec`");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($pit = mysql_fetch_array($req))
{
echo"<b>$pit[name]</b> [<a href=\"adm_panel.php?mod=43&id=$pit[id]\">удалить</a>] [<a href=\"adm_panel.php?mod=45&id=$pit[id]\">изм</a>]<br/>";
}
}else{
echo"<b>Нет питомцев</b><br/>";
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '43':
if(empty($_GET[id])){
echo"Ошибка, не выбран питомец!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT `id` FROM `pitomec` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');exit;}

mysql_query("DELETE FROM `pitomec` WHERE `id`='$_GET[id]' LIMIT 1");
echo'Питомец удален!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '44':
if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=44" method="post">';

echo"Название питомца:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>";

echo"Раса (на английском):<br/>
<input class='input' type=\"text\" size=\"10\" name=\"rasa\"/><br/>";

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
<option value=\"izmud\">Измуд</option>
<option value=\"gundabad\">Кронос</option>
</select><br/>";

echo"Жизни:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";

echo"Сила:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sila\"/><br/>";

echo"Магическое сопротивление:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"prot\"/><br/>";

echo"Защита головы:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pgolova\"/><br/>";

echo"Защита тела:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pbody\"/><br/>";

echo"Защита ног:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pnogi\"/><br/>";

echo"Антикрит:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"antikrit\"/><br/>";

echo"Шанс крита:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>";

echo"Урон от крита:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";

echo"Ловкость:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>";

echo"Урон мин.:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>";

echo"Урон макс.:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Цена(монеты):<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>";

echo"Цена(алмазы):<br/>
<input class='input' type=\"text\" size=\"10\" name=\"almaz\"/><br/>";

echo"Уровень для покупки:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lvl\"/><br/>";

echo "Класс:<br/>
<select name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo '<input class="button" type="submit" value="Добавить" /></form>';
}else{
mysql_query("INSERT INTO `pitomec` SET
        `id` = '',
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `rasa`='$_POST[rasa]',
        `hp`='$_POST[hp]',
        `hpall`='$_POST[hp]',
        `sila`='$_POST[sila]',
        `prot`='$_POST[prot]',
        `pgolova`='$_POST[pgolova]',
        `pbody`='$_POST[pbody]',
        `pnogi`='$_POST[pnogi]',
        `antikrit`='$_POST[antikrit]',
        `krit`='$_POST[krit]',
        `ukrit`='$_POST[ukrit]',
        `lovk`='$_POST[lovk]',
        `almaz`='$_POST[almaz]',
        `umin`='$_POST[umin]',
        `umax`='$_POST[umax]',
        `cena`='$_POST[cena]',
        `lvl`='$_POST[lvl]',
        `klas`='$_POST[klas]'
        ");

echo'Питомец '.$_POST[name].' создан!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
}
break;






case '45':

if(empty($_GET[id])){
echo"Ошибка, не выбран питомец!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `pitomec` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такого питомца не существует.";include($path.'files/down.php');exit;}
$pit = mysql_fetch_array($req);

if(empty($_POST[name])){
echo '<form action="adm_panel.php?mod=45" method="post">';
echo"Название питомца:<br/>
<input class='input' value=\"$pit[name]\" type=\"text\" size=\"20\" name=\"name\"/><br/>";

echo"Раса (на английском):<br/>
<input class='input' value=\"$pit[rasa]\" type=\"text\" size=\"10\" name=\"rasa\"/><br/>";

echo "Город:<br/>
<select name=\"city\">
<option value=\"fornost\">Форност</option>
<option value=\"izmud\">Измуд</option>
<option value=\"gundabad\">Кронос</option>
</select><br/>";

echo"Жизни:<br/>
<input class='input' value=\"$pit[hp]\" type=\"text\" size=\"10\" name=\"hp\"/><br/>";

echo"Сила:<br/>
<input class='input' value=\"$pit[sila]\" type=\"text\" size=\"10\" name=\"sila\"/><br/>";

echo"Магическое сопротивление:<br/>
<input class='input' value=\"$pit[prot]\" type=\"text\" size=\"10\" name=\"prot\"/><br/>";

echo"Защита головы:<br/>
<input class='input' value=\"$pit[pgolova]\" type=\"text\" size=\"10\" name=\"pgolova\"/><br/>";

echo"Защита тела:<br/>
<input class='input' value=\"$pit[pbody]\" type=\"text\" size=\"10\" name=\"pbody\"/><br/>";

echo"Защита ног:<br/>
<input class='input' value=\"$pit[pnogi]\" type=\"text\" size=\"10\" name=\"pnogi\"/><br/>";

echo"Антикрит:<br/>
<input class='input' value=\"$pit[antikrit]\" type=\"text\" size=\"10\" name=\"antikrit\"/><br/>";

echo"Шанс крита:<br/>
<input class='input' value=\"$pit[krit]\" type=\"text\" size=\"10\" name=\"krit\"/><br/>";

echo"Урон от крита:<br/>
<input class='input' value=\"$pit[ukrit]\" type=\"text\" size=\"10\" name=\"ukrit\"/><br/>";

echo"Ловкость:<br/>
<input class='input' value=\"$pit[lovk]\" type=\"text\" size=\"10\" name=\"lovk\"/><br/>";

echo"Урон мин.:<br/>
<input class='input' value=\"$pit[umin]\" type=\"text\" size=\"10\" name=\"umin\"/><br/>";

echo"Урон макс.:<br/>
<input class='input' value=\"$pit[umax]\" type=\"text\" size=\"10\" name=\"umax\"/><br/>";

echo"Цена(монеты):<br/>
<input class='input' value=\"$pit[cena]\" type=\"text\" size=\"10\" name=\"cena\"/><br/>";

echo"Цена(алмазы):<br/>
<input class='input' value=\"$pit[almaz]\" type=\"text\" size=\"10\" name=\"almaz\"/><br/>";

echo"Уровень для покупки:<br/>
<input class='input' value=\"$pit[lvl]\" type=\"text\" size=\"10\" name=\"lvl\"/><br/>";

echo "Класс:<br/>
<select name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
mysql_query("UPDATE `pitomec` SET

        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `rasa`='$_POST[rasa]',
        `hp`='$_POST[hp]',
        `hpall`='$_POST[hp]',
        `sila`='$_POST[sila]',
        `prot`='$_POST[prot]',
        `pgolova`='$_POST[pgolova]',
        `pbody`='$_POST[pbody]',
        `pnogi`='$_POST[pnogi]',
        `antikrit`='$_POST[antikrit]',
        `krit`='$_POST[krit]',
        `ukrit`='$_POST[ukrit]',
        `lovk`='$_POST[lovk]',
        `almaz`='$_POST[almaz]',
        `umin`='$_POST[umin]',
        `umax`='$_POST[umax]',
        `cena`='$_POST[cena]',
        `lvl`='$_POST[lvl]',
        `klas`='$_POST[klas]' WHERE `id` = '".$_GET[id]."'
        ");

echo'Питомец '.$_POST[name].' отредактирован!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";
}
break;


case '46':
$req = mysql_query("SELECT * FROM `world` WHERE `id`='$_GET[id]' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такогй локации не существует.";include($path.'files/down.php');exit;}
$mir = mysql_fetch_array($req);

if(empty($_POST[name])){
echo'Не должно быть минусовых координат!<br/>';
echo '<form action="adm_panel.php?mod=46" method="post">';


echo"Имя<br/>
<input class='input' type=\"text\" value='$mir[name]' size=\"10\" name=\"name\"/><br/>";

echo"Координата по X<br/>
<input class='input' value='$mir[x]' type=\"text\" size=\"10\" name=\"x\"/><br/>";

echo"Координата по Y<br/>
<input class='input' value='$mir[y]' type=\"text\" size=\"10\" name=\"y\"/><br/>";



echo '<input class="button" type="submit" value="Редактировать" /></form>';
}else{


mysql_query("UPDATE `world`

`name` = '$_POST[name]',
        `x` = '$_POST[x]',
        `y` = '$_POST[y]'");

echo'Локация '.$_POST[name].' изменена!<br/>';
}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;













}
include($path.'files/down.php');
?>